stralloc_copym(3)

NAME
stralloc_copym - copy string(s) to a stralloc

SYNTAX
#include <libowfat/stralloc.h> int stralloc_copym(stralloc* sa,const char* s, ...);

DESCRIPTION
stralloc_copym copies \0-terminated strings from s... to sa, allocating space if necessary, and returns 1. If there is data in the sa, it is cleared first. If it runs out of memory, stralloc_copym returns 0. At that point, it may already have copied a few of the strings to sa.

RETURN VALUE
1 for success, 0 on memory allocation failure.

SEE ALSO
stralloc_copys(3)